function $AdfDhtmlChooseDateLayoutPanel$$($panelId$$3$$) {
  this.$_panelId$ = $panelId$$3$$;
}
$goog$exportSymbol$$("AdfDhtmlChooseDateLayoutPanel", $AdfDhtmlChooseDateLayoutPanel$$);
$AdfObject$$.$createSubclass$($AdfDhtmlChooseDateLayoutPanel$$);
$AdfDhtmlChooseDateLayoutPanel$$.$registerLayoutPanel$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$registerLayoutPanel$$($panelClass$$, $masterPanelClass$$) {
  $AdfAssert$$.$assertFunction$($panelClass$$);
  var $panelInstance$$ = new $panelClass$$;
  $AdfDhtmlChooseDatePeer$$.$registerLayoutPanel$($panelInstance$$, $panelInstance$$.$getPanelId$(), $masterPanelClass$$);
};
$goog$exportSymbol$$("AdfDhtmlChooseDateLayoutPanel.registerLayoutPanel", $AdfDhtmlChooseDateLayoutPanel$$.$registerLayoutPanel$);
$AdfDhtmlChooseDateLayoutPanel$$.prototype.$getPanelId$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$$getPanelId$$() {
  return this.$_panelId$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.getPanelId", {$getPanelId$:$AdfDhtmlChooseDateLayoutPanel$$.prototype.$getPanelId$});
$AdfDhtmlChooseDateLayoutPanel$$.prototype.$getPanelRootElement$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$$getPanelRootElement$$($component$$394_panelSubId$$) {
  $AdfAssert$$.$assertPrototype$($component$$394_panelSubId$$, AdfRichChooseDate);
  $component$$394_panelSubId$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$394_panelSubId$$.$getClientId$(), this.$getPanelId$());
  return $AdfAgent$$.$AGENT$.getElementById($component$$394_panelSubId$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.getPanelRootElement", {$getPanelRootElement$:$AdfDhtmlChooseDateLayoutPanel$$.prototype.$getPanelRootElement$});
$AdfDhtmlChooseDateLayoutPanel$$.prototype.isEnabled = function $$AdfDhtmlChooseDateLayoutPanel$$$$isEnabled$($component$$395$$, $rootDOMElement$$39$$) {
  $AdfAssert$$.$assertPrototype$($component$$395$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$39$$);
  return -1 != $AdfDhtmlChooseDateDOMQueries$$.$getConfiguredLayouts$($component$$395$$, $rootDOMElement$$39$$).indexOf(this.$getPanelId$());
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.isEnabled", {isEnabled:$AdfDhtmlChooseDateLayoutPanel$$.prototype.isEnabled});
$AdfDhtmlChooseDateLayoutPanel$$.prototype.$isTogglePanel$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$$isTogglePanel$$($component$$396$$) {
  $AdfAssert$$.$assertPrototype$($component$$396$$, AdfRichChooseDate);
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.isTogglePanel", {$isTogglePanel$:$AdfDhtmlChooseDateLayoutPanel$$.prototype.$isTogglePanel$});
$AdfDhtmlChooseDateLayoutPanel$$.prototype.$isVisible$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$$isVisible$$($component$$397$$, $rootDOMElement$$40$$) {
  $AdfAssert$$.$assertPrototype$($component$$397$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElement$$40$$);
  return this.isEnabled($component$$397$$, $rootDOMElement$$40$$) && $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplayMode$($component$$397$$, $rootDOMElement$$40$$, $AdfDhtmlChooseDatePeer$$.$_DATE_AND_TIME_MODE$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.isVisible", {$isVisible$:$AdfDhtmlChooseDateLayoutPanel$$.prototype.$isVisible$});
$AdfDhtmlChooseDateLayoutPanel$$.prototype.$canProcessDomUIInputEvent$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$$canProcessDomUIInputEvent$$($component$$398$$, $componentEvent$$32$$) {
  $AdfAssert$$.$assertPrototype$($component$$398$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$32$$, $AdfDomUIInputEvent$$);
  $AdfAssert$$.$failedInAbstractFunction$();
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.canProcessDomUIInputEvent", {$canProcessDomUIInputEvent$:$AdfDhtmlChooseDateLayoutPanel$$.prototype.$canProcessDomUIInputEvent$});
$AdfDhtmlChooseDateLayoutPanel$$.prototype.$canProcessComponentEvent$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$$canProcessComponentEvent$$($component$$399$$, $componentEvent$$33$$) {
  $AdfAssert$$.$assertPrototype$($component$$399$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$33$$, $AdfComponentEvent$$);
  $AdfAssert$$.$failedInAbstractFunction$();
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.canProcessComponentEvent", {$canProcessComponentEvent$:$AdfDhtmlChooseDateLayoutPanel$$.prototype.$canProcessComponentEvent$});
$AdfDhtmlChooseDateLayoutPanel$$.prototype.$render$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$$render$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
  return [];
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.render", {$render$:$AdfDhtmlChooseDateLayoutPanel$$.prototype.$render$});
$AdfDhtmlChooseDateLayoutPanel$$.prototype.$getSubIdDomElement$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$$getSubIdDomElement$$($component$$401$$, $subElementId$$1$$) {
  $AdfAssert$$.$assertPrototype$($component$$401$$, AdfRichChooseDate);
  $AdfAssert$$.$assertString$($subElementId$$1$$);
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.getSubIdDomElement", {$getSubIdDomElement$:$AdfDhtmlChooseDateLayoutPanel$$.prototype.$getSubIdDomElement$});
$AdfDhtmlChooseDateLayoutPanel$$.prototype.$getBestMatchSubId$ = function $$AdfDhtmlChooseDateLayoutPanel$$$$$getBestMatchSubId$$($component$$402$$, $domElement$$32$$) {
  $AdfAssert$$.$assertPrototype$($component$$402$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($domElement$$32$$);
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateLayoutPanel.prototype.getBestMatchSubId", {$getBestMatchSubId$:$AdfDhtmlChooseDateLayoutPanel$$.prototype.$getBestMatchSubId$});
